Subject: [comp.os.linux.announce: Onyx 2.30 is out]

From: [email-masked] (Paul M. Aoki)
Date: Mon, 08 Aug 94 11:18:03 -0700

------- Forwarded Message

 Newsgroups:  comp.os.linux.announce
 From:  michael kraehe <[email-masked]>
 Subject:  Onyx 2.30 is out
 Date:  Mon, 8 Aug 1994 03:02:51 GMT

 -------------------------------------------------------------------------------
 
 	just a new version. I think using postgres is important
 	for many people ;-) So I decided to make a new version more
 	quickly.
 
 -------------------------------------------------------------------------------
 
 	Welcome to Onyx 2.30			 a copylefted sql/4gl
 
 				News in 2.30
 
 	* SqlPostgres is now supported, I've got the patch from
 	  <[email-masked]> "William Wanders", and hope it
 	  works correctly ;-) I dont have enough disk space to
 	  test it with real data :-( But dummy tests works fine.
 
 				  Abstract
 
 	* Onyx is my private SQL/4GL game, donated to all folks,
 	  freaks and gurus who like the idea of copyleft ;-)
 
 	  I started to write it because the department of environment
 	  in Bremen had several DOS boxes with Informix, crashing
 	  frequently, so we decided to use Linux as clients when IP
 	  became stable with 0.99p6.
 
 	* Onyx has its own transaction manager, which is built by an
 	  object oriented predicative parser generator. Just another
 	  game but very useful as this funny thing also produces
 	  header files and manual pages.
 
 	  So it's posible to parse what I call "crippled SQL" and
 	  produce commands for other engines like University Ingres or
 	  even GNU awk.
 
 	  If you have a real SQL engine, you'll use their "real" SQL
 	  of course and not my crippled one ;-)
 
 	* The main goal of the transaction manager is to implement a
 	  protocol for connecting applications to a database in a
 	  vendor independent way. Ingres89, Postgres, Yard, GAWK,
 	  Shql are now supported, and others are planned.
 
 	  So any application capable of connecting to port is able to
 	  use my protocol which is documented in a RFC-like style.
 
 	* Onyx has a 4GL which is more a shell, but unlike other shells
 	  knows about tables, transactions, masks and menus.
 
 	  Onyx is designed by the Model-View-Controller paradigm,
 	  so tables are the model, masks are the views and transactions
 	  are the controllers which can be bound to an input field,
 	  a menu, function keys or the change of the current record
 	  in a cursor.
 
 	* Unlike other 4GL's Onyx doesn't hide the system, so it's
 	  easy to export or import from a pipe and use the many tools
 	  *nix has. E.g., I'm using a pipe to "gawk | groff | lpr" to
 	  print my bills, or a pipe from "tar | gawk" to manage my
 	  tapes.
 
 	* Copyleft is a chance that good programmers won't need to
 	  work for a big company, or become a slave of their
 	  distribution channels.
 
 	  Linux and Onyx is a chance for database application
 	  programmers to sell their solutions and support to the
 	  customers without the need to pay a lot to the big companies
 	  for using their tools, and listen for hours to "please hold
 	  the line" if they need support.
 
 				News in 2.29
 
 	* dynasel as a new import statement to make selecting much more
 	  user friendly, see manual page for transaction grammar.
 
 	* fixed bug in SqlGawk when deleting everything.
 
 	* the example application/fakt now looks really nice.
 
 				News in 2.28
 
 	* Directory structure and configuration redesigned.
 
 	  Make config gives an editor (vi) to edit configuration which
 	  will be parsed by awk to produce the files. Trouble with old
 	  .C files and missing .h files solved.
 
 	  (I hope ;-)
 
 	* A lot of work arounds, for C++ related bugs in GCC > 2.4
 	  Should now compile with gcc 2.5.8 and I hope above.
 
 	* Yard now seems stable, a lot of trouble with permissions in
 	  shared memory (I hate SysPfeifDrauf, but I don't want to
 	  translate this German joke ;-)

 				News in 2.27
 
 	* First binary relase just for test at wowbagger.
 
 	* Now supporting Yard as a commercial database engine
 	  available for Linux.
 
 	* Some hacks for multiple cursors in one mask. See app/fakt as
 	  an example. Needs more hacking for displaying them as rows
 	  and columns, and mixed in a mask.
 
 				How to get it
 
 	V32bis: bakunin.north.de 		 +49 421 870523
 	ftp:    wowbagger.pc-labor.uni-bremen.de pub/unix/databases
 
 				------------
 
 	For further information take a look in the doc directory,
 	be warned some docs are produced while compiling.
 
 	If you really want to use it send mail to
 
 		<[email-masked]>
 
 	If you'd like to donate beer or postcards, send them to :
 
 		Kraehe
 		Karl Toma Allee 4
 
 		28215 Free Republic Weidedamm III
 		      Bremen/Germany
 
 	If you'd like to donate money, send it to :
 
 		Michael Koehne
 		Sparkasse Bremen
 		Bankleitzahl : 290 501 01
 		Konto        : 3189 3019

 -- 
 " ceterum censeo MSDOS delendam esse " sagt der Guru und krault seinen Bart
 
 	[email-masked] 
 
 --
 Send submissions for comp.os.linux.announce to: [email-masked]
 Be sure to include Keywords: and a short description of your software.

------- End of Forwarded Message
--
  Paul M. Aoki          |  University of California at Berkeley
  [email-masked]  |  Dept. of EECS, Computer Science Division (#1776) 
                        |  Berkeley, CA 94720-1776

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================